package com.xyzc.start.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 发现
 *
 * @author 杨兴卓
 */
@RequiredArgsConstructor
@RestController
@RequestMapping("/discover")
public class DiscoverPageController {

    /**
     * 绘画广场
     */
    @GetMapping("/drawSquare")
    public String drawSquare() {

        return "success";
    }


    /**
     * 绘画模型
     */
    @GetMapping("/drawModel")
    public String drawModel() {

        return "success";
    }


    /**
     * 绘画助手
     */
    @GetMapping("/drawAssistant")
    public String drawAssistant() {

        return "success";
    }

    /**
     * 进入具体绘画模型
     */
    @GetMapping("/drawModel/{modelId}")
    public String drawModel(String modelId) {

        return "success";
    }

    /**
     * 精选应用
     */
    @GetMapping("/selectedApp")
    public String selectedApp() {

        return "success";
    }

    /**
     * 特色应用列表
     */
    @GetMapping("/featureApp")
    public String featureApp() {

        return "success";
    }

    /**
     * 玩转应用列表
     */
    @GetMapping("/playApp")
    public String playApp() {

        return "success";
    }

    /**
     * 数字人列表
     */
    @GetMapping("/digitalHuman")
    public String digitalHuman() {

        return "success";
    }

}
