package com.xyzc.start.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 用户登录信息
 *
 * @author 墨凡
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class BaseUserTokenVo extends BaseUserVo {

    /**
     * 返回登录成功的token
     */
    private String access_token;


}
