package com.xyzc.start.service;

import com.xyzc.start.domain.vo.FuelPackageVo;
import com.xyzc.start.domain.vo.MemberCardVo;
import com.xyzc.start.domain.vo.SchemeVo;

/**
 *
 */
public interface ISchemeService {

    /**
     * 获取当前会员卡套餐方案
     *
     * @return
     */
    SchemeVo getCurrentMember();

    /**
     * 获取当前燃料套餐方案
     *
     * @return
     */
    SchemeVo getCurrentFuel();

    /**
     * 获取具体的燃料信息
     * @param fuelId
     * @return
     */
    FuelPackageVo queryCurrentFuelById(Long fuelId);

    /**
     * 获取具体的会员卡信息
     *
     * @param memberId
     * @return
     */
    MemberCardVo queryCurrentMemberById(Long memberId);
}
